Contents

# DateSerial Function

Returns a Date value for a specified year, month, and day.

### Syntax:

    DateSerial (Waggaa, ji'a, guyyaa)

### Return value:

Guyyaa

### Parameters:

Waggaa: Himamsa itergaa kan waggaa agarsiisu.Gatii hundinuu gidduu 0 fi 99 akka waggoota 1900-1999 ti hiikamu waggaa hamma kennameen ala ta'e lakqurxa afur qofa galchuu qabda.

Ji'a: Himamsa itergaa kan ji'a waggaa murtaa'ee agarsiisu.Kan fudhatama qabu 1-12 qofa.

Day: Integer expression that indicates the day of the specified month. The accepted range is from 1-31. No error is returned when you enter a non-existing day for a month shorter than 31 days.

Faankishinii DateSerial jedhamu guyyaa muddee 30,1899 fi guyyaa kenname deebisa. Garaagarummaa guyyaa lama gudduu jiru baruuf faankishinii kana fayyyadamuu ni dandeessa.

Faankishinii DateSerial jedhamu gosa agargoo bakkabu'aata VarType 7 (Date) walii deebisa. karaa keessaan, gatiin kun akka gatii mirreeti cimmifama.,kanaafuu guyyan kenname 1.1.1900 ta'a, gatiin deebi'aan 2 dha. Muddee 30, 1899 dura gatiin negatifaa gatii guyyaa waliin wal gita.(osoo hin dabalatin)

Yoo guyyaan hamma hiikame fudhatama argatee ala ta'ae LibreOffice Bu'uurri ergaa dogogoraa deebisa.

Faankishinii DateValue jedhamu yoo akka diraatti hiiktu kan guyya of keessa qabu Faankishinii DateValue jedhamu tokkoon tokkoo ulaagaalee kannen akka(waggaa,ji'aa ,guyyaa)qorachuuf akka himamsa garagar bahaati.

### Error codes:

5 Ejjatoo fashalaan waamu

### Example:

      Sub ExampleDateSerial
      Dim lDate As Long
      Dim sDate As String
          lDate = DateSerial(1964, 4, 9)
          sDate = DateSerial(1964, 4, 9)
          msgbox lDate REM returns 23476
          msgbox sDate REM returns 04/09/1964
      End Sub